---
- 
  #Default (dynamic) form configuration. This data is used as the initial,
  #minimal data for dynamic forms that ships with the system.
  #Fields:
  #id:       Used only if associated with a help topic
  #title:    Bold section title of the form
  #instructions: Title deck, detailed instructions on entering form data
  #notes:    Notes for the form, shown under the fields
  #flags:
  #0x0001  If the form can be removed from the system
  #fields:   List of fields for the form
  #type:       Field type (short name) (eg. 'text', 'memo', 'phone', ...)
  #label:      Field label shown to the user
  #name:       Name used with the data internally. This is especially
  #useful for page and email templates, where %{ ticket.<name> }
  #will be used to retrieve the data from the field.
  #hint:       Help text shown with the field
  #flags:      Bit mask for settings & options
  ## From class DynamicFormField
  #const FLAG_MASK_CHANGE      = 0x0010;     # Type cannot change
  #const FLAG_MASK_DELETE      = 0x0020;     # Cannot be deleted
  #const FLAG_MASK_EDIT        = 0x0040;     # Data cannot be edited
  #const FLAG_MASK_DISABLE     = 0x0080;     # Field cannot be disabled
  #const FLAG_MASK_REQUIRE     = 0x10000;    # Requirement cannot be changed
  #const FLAG_MASK_VIEW        = 0x20000;    # View settings cannot be changed
  #const FLAG_MASK_NAME        = 0x40000;    # Name cannot be changed
  #configuration: Field-specific configuration
  #size:     (text) width of the field
  #length:   (text) maximum size of the data in the field
  #cols:     (memo) width of the textarea
  #rows:     (memo) height of the textarea
  #---
  id: 1
  type: U #notrans
  title: ទំនាក់ទំនង ពត៌មាន
  flags: 0
  fields:
    - 
      type: text #notrans
      name: email #notrans
      label: Email អ៊ីម៉ែល
      sort: 1
      flags: 489395
      configuration:
        size: 40
        length: 64
        validator: email #notrans
    - 
      type: text #notrans
      name: name #notrans
      label: ឈ្មោះ​ពេញ
      sort: 2
      flags: 489395
      configuration:
        size: 40
        length: 64
    - 
      type: phone #notrans
      name: phone #notrans
      label: លេខទូរសព្ទ
      sort: 3
      flags: 13057
    - 
      type: memo #notrans
      name: notes
      label: Internal Notes
      sort: 4
      flags: 12289
      configuration:
        rows: 4
        cols: 40
- 
  id: 2
  type: T #notrans
  title: លម្អិតនៃករណី Ticket
  instructions: សូមរៀបរាប់អំពីបញ្ហារបស់អ្នក
  notes: |
    ទម្រង់នេះនឹងត្រូវបានភ្ជាប់ទៅរាល់ករណី Ticket, ដោយមិនគិតពីប្រភពរបស់វា។ អ្នកអាចបន្ថែម field ណាមួយទៅក្នុងករណី Ticket នេះហើយ fields ទាំងអស់នោះ នឹងមានក្នុង
    ករណី Ticket ទាំងអស់។ Fields ទាំងនោះនឹងមាននៅក្នុងការស្វែងរក available in Search។
  flags: 0
  fields:
    - 
      id: 20
      type: text #notrans
      name: subject #notrans
      label: សង្ខេបបញ្ហា
      sort: 1
      flags: 489265
      configuration:
        size: 40
        length: 50
    - 
      id: 21
      type: thread #notrans
      name: message #notrans
      label: បញ្ហាលម្អិត
      hint: សេចក្តីលម្អិតពីហេតុផល(reasons) សម្រាប់បើកករណី Ticket នេះ
      sort: 2
      flags: 480547
    - 
      id: 22
      type: priority #notrans
      name: priority #notrans
      label: កម្រិតអាទិភាព
      flags: 274609
      sort: 3
- 
  type: C #notrans
  title: អំពីក្រុមហ៊ុន
  instructions: លម្អិតដែលអាចមាននៅក្នុងអ៊ីម៉ែលគំរូ Email Templates
  flags: 0
  fields:
    - 
      type: text #notrans
      name: name #notrans
      label: ឈ្មោះ​ក្រុម​ហ៊ុន
      sort: 1
      flags: 291249
      configuration:
        size: 40
        length: 64
    - 
      type: text #notrans
      name: website #notrans
      label: គេហទំព័រ
      sort: 2
      flags: 274705
      configuration:
        size: 40
        length: 64
    - 
      type: phone #notrans
      name: phone #notrans
      label: លេខទូរសព្ទ
      sort: 3
      flags: 274705
      configuration:
        ext: false
    - 
      type: memo #notrans
      name: address
      label: អាសយដ្ឋាន
      sort: 4
      flags: 12545
      configuration:
        rows: 2
        cols: 40
        html: false
        length: 100
- 
  type: O #notrans
  title: អង្គការ Organization ពត៌មាន
  instructions: សេចក្តីលម្អិតអំពីអ្នកប្រើ
  flags: 0
  fields:
    - 
      type: text #notrans
      name: name #notrans
      label: ឈ្មោះ
      sort: 1
      flags: 489395
      configuration:
        size: 40
        length: 64
    - 
      type: memo
      name: address
      label: អាសយដ្ឋាន
      sort: 2
      flags: 13057
      configuration:
        rows: 2
        cols: 40
        length: 100
        html: false
    - 
      type: phone
      name: phone
      label: ទូរស័ព្ទ
      sort: 3
      flags: 13057
    - 
      type: text
      name: website
      label: គេហទំព័រ
      sort: 4
      flags: 13057
      configuration:
        size: 40
        length: 0
    - 
      type: memo #notrans
      name: notes
      label: Internal Notes
      sort: 5
      flags: 12289
      configuration:
        rows: 4
        cols: 40
- 
  type: A #notrans
  title: សេចក្ដីលម្អិតភារកិច្ច
  instructions: សូមរៀបរាប់អំពីបញ្ហា
  notes: |
    សំណុំបែបបទនេះត្រូវបានប្រើដើម្បីបង្កើតភារកិច្ចមួយ។
  flags: 0
  fields:
    - 
      type: text #notrans
      name: ចំណងជើង #notrans
      flags: 290993
      sort: 1
      label: ចំណងជើង
      configuration:
        size: 40
        length: 50
    - 
      type: thread #notrans
      name: description #notrans
      flags: 282867
      sort: 2
      label: សង្ខេប
      hint: សេចក្តីលម្អិតពីហេតុផល(reasons) សម្រាប់ការបង្កើតភារកិច្ច។
